#! /bin/bash
#
# sperren.sh
#
# Version 0.81
# 24.6.2024
########################################################

ausgabe=$(screen -ls)
# Display ermitteln, ggf. manuell anpassen
DP=":0"
if [ -e "/etc/linuxmuster-maus/X11_last_user_display" ]; then
  DPx=$(cat /etc/linuxmuster-maus/X11_last_user_display)
  if [[ $DPx =~ ^:[0-3]$ ]]; then
    DP=$DPx
  fi
fi
BENUTZER=$(who -u | awk -v dp="$DP" '$2==dp { print $1 }' | head -1)
  if [ -z "$BENUTZER" ]; then
    BENUTZER=$(who -u | awk '{print $1}' | head -1)
  fi

if [[ "$ausgabe" =~ "mausdaemon_slock" ]]; then
  echo "Abbruch: Lock - Befehl ist schon aktiv!"
  exit 1
else
  screen -d -m -S mausdaemon_slock
  #  sleep 1

  screen -S mausdaemon_slock -X stuff $"export DISPLAY=$DP\n"

  export DISPLAY=$DP
  sudo -u $BENUTZER xdotool key ctrl+Escape
  sudo -u $BENUTZER xdotool key ctrl+Escape

  screen -S mausdaemon_slock -X stuff $"/usr/bin/qiv -Gif /etc/linuxmuster-maus/closed.jpg &\n"
  if [ "$1" = "-u" ]; then
    sleep 1
    screen -S mausdaemon_slock -X stuff $"/usr/bin/X11/xclock -geometry 200x200+20+20 -update 1 &\n"
  fi
  screen -S mausdaemon_slock -X stuff $"/usr/bin/xtrlock \n"
fi

exit 0
